Руководство по PHP
Пред. |  | След.

# xml_parser_set_option

(PHP 3>= 3.0.6, PHP 4 , PHP 5)

xml_parser_set_option -- Set options in an XML parser

## Description

bool xml_parser_set_option ( resource parser, int option, mixed value )

parser

  A reference to the XML parser to set an option in.

option

  Which option to set. See below.

value

  The option's new value.

This function returns `FALSE` if parser does not refer to a valid parser, or if the option could not be set. Else the option is set and `TRUE` is returned.

The following options are available:

Таблица 1. XML parser options

Option constant | Data type | Description
--- | --- | ---
XML_OPTION_CASE_FOLDING | integer | Controls whether case-folding is enabled for this XML parser. Enabled by default.
XML_OPTION_TARGET_ENCODING | string | Sets which target encoding to use in this XML parser. By default, it is set to the same as the source encoding used by xml_parser_create(). Supported target encodings are ISO-8859-1, US-ASCII and UTF-8.

Пред. | Начало | След.
xml_parser_get_option | Уровень выше | xml_set_character_data_handler